# DocumentType enum

Inheritance
  - Object
  - Enum
  - DocumentType

## Constructors

DocumentType()
  const

## Values

Unknown → const DocumentType
MRZ → const DocumentType
DeIdCardFront → const DocumentType
DeIdCardBack → const DocumentType
DePassport → const DocumentType
DeDriverLicenseFront → const DocumentType
DeDriverLicenseBack → const DocumentType
DeDriverLicenseBack_categories → const DocumentType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<DocumentType>
  A constant List of the values in this enum, in order of their declaration.
  `[Unknown, MRZ, DeIdCardFront, DeIdCardBack, DePassport, DeDriverLicenseFront, DeDriverLicenseBack, DeDriverLicenseBack_categories]`